<template>
    <div class="modal-overlay" @click.self="closeModal">
      <div class="modal-content">
        <div class="wrapperSpaceBackdrop">
          <img
            class="spaceBackdropIcon"
            alt="Space Backdrop"
            src="./images/space-backdrop@2x.png"
          />
        </div>
        <main class="loginModal">
          <div class="menuOverlay"></div>
          <img
            class="dotsForBackground"
            alt="Dots Background"
            src="./images/dots-for-background.svg"
          />
          <img
            class="spacedaoLightLogo"
            loading="lazy"
            alt="SpaceDAO Logo"
            src="./images/spacedao-light-logo@2x.png"
          />
          <!-- Conditionally render LoginForm or RegistrationForm -->
          <LoginForm v-if="!isRegistering" @show-register="showRegisterForm" />
          <RegistrationForm v-else @show-login="showLoginForm" />
        </main>
      </div>
    </div>
  </template>
  
  <script lang="ts">
  import { defineComponent, ref } from 'vue';
  import LoginForm from './LoginForm.vue';
  import RegistrationForm from './RegistrationForm.vue';
  
  export default defineComponent({
    name: 'Modal',
    components: { LoginForm, RegistrationForm },
    emits: ['close'],
    setup(_, { emit }) {
      const isRegistering = ref(false);
  
      const closeModal = () => {
        emit('close');
      };
  
      const showRegisterForm = () => {
        isRegistering.value = true;
      };
  
      const showLoginForm = () => {
        isRegistering.value = false;
      };
  
      return {
        isRegistering,
        closeModal,
        showRegisterForm,
        showLoginForm,
      };
    },
  });
  </script>
 
  
  <style scoped>
  /* Global CSS Variables */
  :root {
    --color-white: #fff;
    --font-open-sans: 'Open Sans', sans-serif;
    --font-audiowide: 'Audiowide', cursive;
    --font-size-base: 16px;
    --font-size-13xl: 32px;
    --br-8xs: 5px;
    --gap-7xs: 6px;
    --gap-4xl: 23px;
    --gap-34xl: 53px;
    --padding-20xl: 39px;
    --padding-19xl: 38px;
    --padding-8xs: 5px;
    --padding-9xs: 4px;
    --padding-22xl: 41px;
  }
  
  /* Modal Overlay Styles */
  .modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: rgba(29, 20, 43, 0.68);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
  }
  
  /* Modal Content Styles */
  .modal-content {
    width: 390px; /* Fixed width similar to a mobile phone */
    height: 844px; /* Height adjusted to match mobile phone aspect ratio */
    max-width: 100%;
    position: relative;
    background-color: var(--color-white);
    border-radius: 10px;
    overflow: hidden;
  }
  
  /* Adjusted styles for components within the modal */
  .wrapperSpaceBackdrop {
    position: absolute;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: 0;
  }
  
  .spaceBackdropIcon {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: relative;
    left: 0px;
    top: 0px;
  }
  
  .loginModal {
    position: relative;
    width: 100%;
    min-height: 100vh;
    background: linear-gradient(
      180deg,
      rgba(29, 20, 43, 0.68),
      #1d142b 49%,
      #1d142b
    );
    display: flex;
    flex-direction: column;
    align-items: center; /* Center align items */
    justify-content: flex-start;
    padding: 23px 11px 198px;
    box-sizing: border-box;
    gap: 200px; /* Adjusted gap for better spacing */
    z-index: 1;
  }
  
  .menuOverlay {
    display: none; /* Hidden as per original design */
  }
  
  .dotsForBackground {
  width: 400px; /* Adjusted size if needed */
  height: 400px; /* Adjusted size if needed */
  position: absolute;
  Right: -10px; /* Align to the right edge of the modal */
  bottom: 15px; /* Move up into the lower third */
  z-index: 1;
}

  
  .spacedaoLightLogo {
    width: 162px;
    height: 35px;
    object-fit: cover;
    z-index: 1;
    position: relative;
    left: 100px;
    top: 0px;
  }
  </style>
